library ieee;
use ieee.std_logic_1164.all;

entity deco is
	port
	(	din	: in std_logic_vector(3 downto 0);
		dout 	: out std_logic_vector(4 downto 0)	);
end deco;

architecture rtl of deco is

begin
	process (din)
	begin
		case (din) is
			when "0000" => dout <= "00000";
			when "0001" => dout <= "00001";
			when "0010" => dout <= "00011";
			when "0011" => dout <= "00111";
			when "0100" => dout <= "01111";
			when "0101" => dout <= "11111";
			when "0110" => dout <= "11110";			
			when "0111" => dout <= "11100";
			when "1000" => dout <= "11000";
			when "1001" => dout <= "10000";
			when others	=> dout <= "10101";
		end case;
	end process;

end rtl;
